Index: trunk/source/visualization/gMocren/src/G4GMocrenIO.cc
===================================================================
--- trunk/source/visualization/gMocren/src/G4GMocrenIO.cc	(revision 1346)
+++ trunk/source/visualization/gMocren/src/G4GMocrenIO.cc	(revision 1347)
@@ -1974,9 +1987,9 @@
     kRoi[0].setSize(size);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "ROI image size : ("
+      G4cout << "ROI image size : ("
 		<< size[0] << ", "
 		<< size[1] << ", "
 		<< size[2] << ")"
-		<< std::endl;
+		<< G4endl;
     }
 
@@ -1992,8 +2005,8 @@
     kRoi[0].setScale(dscale = scale);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "ROI image min., max., scale : "
+      G4cout << "ROI image min., max., scale : "
 		<< minmax[0] << ", "
 		<< minmax[1] << ", "
-		<< scale << std::endl;
+		<< scale << G4endl;
     }
 
@@ -2020,8 +2033,8 @@
     kRoi[0].setCenterPosition(fCenter);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "ROI image relative location : ("
+      G4cout << "ROI image relative location : ("
 		<< fCenter[0] << ", "
 		<< fCenter[1] << ", "
-		<< fCenter[2] << ")" << std::endl;
+		<< fCenter[2] << ")" << G4endl;
     }
 
@@ -2036,5 +2049,5 @@
     convertEndian(ctmp, ntrk);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "# of tracks: " << ntrk << std::endl;
+      G4cout << "# of tracks: " << ntrk << G4endl;
     }
 
@@ -2071,12 +2084,12 @@
       if(DEBUG || kVerbose > 0) {
 	if(i < 5) {
-	  std::cout << i << ": " ;
-	  for(int j = 0; j < 3; j++) std::cout << steps[0][j] << " ";
+	  G4cout << i << ": " ;
+	  for(int j = 0; j < 3; j++) G4cout << steps[0][j] << " ";
 	  int nstp = steps.size();
-	  std::cout << "<-> ";
-	  for(int j = 3; j < 6; j++) std::cout << steps[nstp-1][j] << " ";
-	  std::cout << "    rgb( ";
-	  for(int j = 0; j < 3; j++) std::cout << (int)rgb[j] << " ";
-	  std::cout << ")" << std::endl;
+	  G4cout << "<-> ";
+	  for(int j = 3; j < 6; j++) G4cout << steps[nstp-1][j] << " ";
+	  G4cout << "    rgb( ";
+	  for(int j = 0; j < 3; j++) G4cout << (int)rgb[j] << " ";
+	  G4cout << ")" << G4endl;
 	}
       }
@@ -2096,6 +2109,6 @@
 
     if(DEBUG || kVerbose > 0) {
-      std::cout << "# of detectors : "
-		<< ndet << std::endl;
+      G4cout << "# of detectors : "
+		<< ndet << G4endl;
     }
 
@@ -2107,5 +2120,5 @@
       convertEndian(ctmp, nedges);
       if(DEBUG || kVerbose > 0) {
-	std::cout << "# of edges in a detector : " << nedges << std::endl;
+	G4cout << "# of edges in a detector : " << nedges << G4endl;
       }
 
@@ -2123,10 +2136,10 @@
 
       if(DEBUG || kVerbose > 0) {
-	std::cout << " first edge : (" << detector[0][0] << ", "
+	G4cout << " first edge : (" << detector[0][0] << ", "
 		  << detector[0][1] << ", "
 		  << detector[0][2] << ") - ("
 		  << detector[0][3] << ", "
 		  << detector[0][4] << ", "
-		  << detector[0][5] << ")" << std::endl;
+		  << detector[0][5] << ")" << G4endl;
       }
 
@@ -2135,8 +2148,8 @@
       ifile.read((char *)dcolor, 3);
       if(DEBUG || kVerbose > 0) {
-	std::cout << " detector color : rgb("
+	G4cout << " detector color : rgb("
 		  << (int)dcolor[0] << ", "
 		  << (int)dcolor[1] << ", "
-		  << (int)dcolor[2] << std::endl;
+		  << (int)dcolor[2] << G4endl;
       }
 
@@ -2147,5 +2160,5 @@
       std::string dname = cname;
       if(DEBUG || kVerbose > 0) {
-	std::cout << " detector name : " << dname << std::endl;
+	G4cout << " detector name : " << dname << G4endl;
       }
 
@@ -2174,6 +2187,7 @@
   std::ifstream ifile(kFileName.c_str(), std::ios_base::in|std::ios_base::binary);
   if(!ifile) {
-    std::cerr << "Cannot open file: " << kFileName
-	      << " in G4GMocrenIO::retrieveData3()." << std::endl;
+    if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "Cannot open file: " << kFileName
+		<< " in G4GMocrenIO::retrieveData3()." << G4endl;
     return false;
   }
@@ -2192,14 +2206,14 @@
   ss << (int)ver;
   kVersion = ss.str();
-  if(DEBUG || kVerbose > 0) std::cout << "File version : " << kVersion << std::endl;
+  if(DEBUG || kVerbose > 0) G4cout << "File version : " << kVersion << G4endl;
 
   // endian
   ifile.read((char *)&kLittleEndianInput, sizeof(char));
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Endian : ";
+    G4cout << "Endian : ";
     if(kLittleEndianInput == 1) 
-      std::cout << " little" << std::endl;
+      G4cout << " little" << G4endl;
     else {
-      std::cout << " big" << std::endl;
+      G4cout << " big" << G4endl;
     }
   }
@@ -2215,6 +2229,6 @@
   setComment(scmt);
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Data comment : "
-	      << kComment << std::endl;
+    G4cout << "Data comment : "
+	      << kComment << G4endl;
   }
 
@@ -2225,9 +2239,9 @@
   convertEndian(ctmp+8, kVoxelSpacing[2]);
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Voxel spacing : ("
+    G4cout << "Voxel spacing : ("
 	      << kVoxelSpacing[0] << ", "
 	      << kVoxelSpacing[1] << ", "
 	      << kVoxelSpacing[2]
-	      << ") mm " << std::endl;
+	      << ") mm " << G4endl;
   }
 
@@ -2258,10 +2272,10 @@
   convertEndian(ctmp, kPointerToTrackData);
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Each pointer to data : "
+    G4cout << "Each pointer to data : "
 	      << kPointerToModalityData << ", ";
     for(int i = 0; i < nDoseDist; i++)
-      std::cout << kPointerToDoseDistData[0] << ", ";
-    std::cout << kPointerToROIData << ", "
-	      << kPointerToTrackData << std::endl;
+      G4cout << kPointerToDoseDistData[0] << ", ";
+    G4cout << kPointerToROIData << ", "
+	      << kPointerToTrackData << G4endl;
   }
 
@@ -2269,5 +2283,5 @@
      kPointerToROIData == 0 && kPointerToTrackData == 0) {
     if(DEBUG || kVerbose > 0) {
-      std::cout << "No data." << std::endl;
+      G4cout << "No data." << G4endl;
     }
     return false;
@@ -2294,9 +2308,9 @@
   convertEndian(ctmp+2*sizeof(int), size[2]);
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Modality image size : ("
+    G4cout << "Modality image size : ("
 	      << size[0] << ", "
 	      << size[1] << ", "
 	      << size[2] << ")"
-	      << std::endl;
+	      << G4endl;
   }
   kModality.setSize(size);
@@ -2329,13 +2343,13 @@
     kModality.setScale(dscale = scale);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "Modality image min., max., scale : "
+      G4cout << "Modality image min., max., scale : "
 		<< minmax[0] << ", "
 		<< minmax[1] << ", "
-		<< scale << std::endl;
+		<< scale << G4endl;
     }
 
     // modality density
     int psize = size[0]*size[1];
-    if(DEBUG || kVerbose > 0) std::cout << "Modality image (" << psize << "): ";
+    if(DEBUG || kVerbose > 0) G4cout << "Modality image (" << psize << "): ";
     char * cimage = new char[psize*sizeof(short)];
     for(int i = 0; i < size[2]; i++) {
@@ -2347,12 +2361,12 @@
       kModality.addImage(mimage);
 
-      if(DEBUG || kVerbose > 0) std::cout << "[" << i << "]" << mimage[(size_t)(psize*0.55)] << ", ";
-    }
-    if(DEBUG || kVerbose > 0) std::cout << std::endl;
+      if(DEBUG || kVerbose > 0) G4cout << "[" << i << "]" << mimage[(size_t)(psize*0.55)] << ", ";
+    }
+    if(DEBUG || kVerbose > 0) G4cout << G4endl;
     delete [] cimage;
 
     // modality desity map for CT value
     size_t msize = minmax[1]-minmax[0]+1;
-    if(DEBUG || kVerbose > 0) std::cout << "msize: " << msize << std::endl;
+    if(DEBUG || kVerbose > 0) G4cout << "msize: " << msize << G4endl;
     char * pdmap = new char[msize*sizeof(float)];
     ifile.read((char *)pdmap, msize*sizeof(float));
@@ -2363,13 +2377,13 @@
     }
     if(DEBUG || kVerbose > 0) {
-      std::cout << "density map : " << std::ends;
+      G4cout << "density map : " << std::ends;
       for(int i = 0; i < 10; i++)
-	std::cout <<kModalityImageDensityMap[i] << ", ";
-      std::cout << std::endl;
-      for(int i = 0; i < 10; i++) std::cout << "..";
-      std::cout << std::endl;
+	G4cout <<kModalityImageDensityMap[i] << ", ";
+      G4cout << G4endl;
+      for(int i = 0; i < 10; i++) G4cout << "..";
+      G4cout << G4endl;
       for(size_t i =kModalityImageDensityMap.size() - 10; i <kModalityImageDensityMap.size(); i++)
-	std::cout <<kModalityImageDensityMap[i] << ", ";
-      std::cout << std::endl;
+	G4cout <<kModalityImageDensityMap[i] << ", ";
+      G4cout << G4endl;
     }
 
@@ -2388,9 +2402,9 @@
     convertEndian(ctmp+2*sizeof(int), size[2]);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "Dose dist. image size : ("
+      G4cout << "Dose dist. image size : ("
 		<< size[0] << ", "
 		<< size[1] << ", "
 		<< size[2] << ")"
-		<< std::endl;
+		<< G4endl;
     }
     kDose[ndose].setSize(size);
@@ -2407,5 +2421,5 @@
     setDoseDistUnit(sdunit, ndose);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "Dose dist. unit : " << kDoseUnit << std::endl;
+      G4cout << "Dose dist. unit : " << kDoseUnit << G4endl;
     }
 
@@ -2420,13 +2434,13 @@
 
     if(DEBUG || kVerbose > 0) {
-      std::cout << "Dose dist. image min., max., scale : "
+      G4cout << "Dose dist. image min., max., scale : "
 		<< dminmax[0] << ", "
 		<< dminmax[1] << ", "
-		<< scale << std::endl;
+		<< scale << G4endl;
     }
 
     // dose distribution image
     int dsize = size[0]*size[1];
-    if(DEBUG || kVerbose > 0) std::cout << "Dose dist. (" << dsize << "): ";
+    if(DEBUG || kVerbose > 0) G4cout << "Dose dist. (" << dsize << "): ";
     char * di = new char[dsize*sizeof(short)];
     short * shimage = new short[dsize];
@@ -2440,10 +2454,10 @@
       kDose[ndose].addImage(dimage);
 
-      if(DEBUG || kVerbose > 0) std::cout << "[" << z << "]" << dimage[(size_t)(dsize*0.55)] << ", ";
+      if(DEBUG || kVerbose > 0) G4cout << "[" << z << "]" << dimage[(size_t)(dsize*0.55)] << ", ";
 
       if(DEBUG || kVerbose > 0) {
 	for(int j = 0; j < dsize; j++) {
 	  if(dimage[j] < 0)
-	    std::cout << "[" << j << "," << z << "]"
+	    G4cout << "[" << j << "," << z << "]"
 		      << dimage[j] << ", ";
 	}
@@ -2452,5 +2466,5 @@
     delete [] shimage;
     delete [] di;
-    if(DEBUG || kVerbose > 0) std::cout << std::endl;
+    if(DEBUG || kVerbose > 0) G4cout << G4endl;
 
     ifile.read((char *)ctmp, 3*4); // 3*sizeof(int)
@@ -2462,8 +2476,8 @@
 
     if(DEBUG || kVerbose > 0) {
-      std::cout << "Dose dist. image relative location : ("
+      G4cout << "Dose dist. image relative location : ("
 		<< fCenter[0] << ", "
 		<< fCenter[1] << ", "
-		<< fCenter[2] << ")" << std::endl;
+		<< fCenter[2] << ")" << G4endl;
     }
 
@@ -2483,9 +2497,9 @@
     kRoi[0].setSize(size);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "ROI image size : ("
+      G4cout << "ROI image size : ("
 		<< size[0] << ", "
 		<< size[1] << ", "
 		<< size[2] << ")"
-		<< std::endl;
+		<< G4endl;
     }
 
@@ -2501,8 +2515,8 @@
     kRoi[0].setScale(dscale = scale);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "ROI image min., max., scale : "
+      G4cout << "ROI image min., max., scale : "
 		<< minmax[0] << ", "
 		<< minmax[1] << ", "
-		<< scale << std::endl;
+		<< scale << G4endl;
     }
 
@@ -2529,8 +2543,8 @@
     kRoi[0].setCenterPosition(fCenter);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "ROI image relative location : ("
+      G4cout << "ROI image relative location : ("
 		<< fCenter[0] << ", "
 		<< fCenter[1] << ", "
-		<< fCenter[2] << ")" << std::endl;
+		<< fCenter[2] << ")" << G4endl;
     }
 
@@ -2545,5 +2559,5 @@
     convertEndian(ctmp, ntrk);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "# of tracks: " << ntrk << std::endl;
+      G4cout << "# of tracks: " << ntrk << G4endl;
     }
 
@@ -2556,8 +2570,8 @@
 
       ifile.read((char *)ctmp, sizeof(float)*3);
-      if(DEBUG || kVerbose > 0) if(i < 10) std::cout << i << ": " ;
+      if(DEBUG || kVerbose > 0) if(i < 10) G4cout << i << ": " ;
       for(int j = 0; j < 3; j++) {
 	convertEndian(ctmp+j*sizeof(float), tp[j]);
-	if(DEBUG || kVerbose > 0) if(i < 10) std::cout << tp[j] << ", ";
+	if(DEBUG || kVerbose > 0) if(i < 10) G4cout << tp[j] << ", ";
       }
 
@@ -2565,8 +2579,8 @@
       for(int j = 0; j < 3; j++) {
 	convertEndian(ctmp+j*sizeof(float), tp[j+3]);
-	if(DEBUG || kVerbose > 0) if(i < 10) std::cout << tp[j+3] << ", ";
+	if(DEBUG || kVerbose > 0) if(i < 10) G4cout << tp[j+3] << ", ";
       }
       addTrack(tp);
-      if(DEBUG || kVerbose > 0) if(i < 10) std::cout << std::endl;
+      if(DEBUG || kVerbose > 0) if(i < 10) G4cout << G4endl;
 
       // v4
@@ -2610,6 +2624,7 @@
   std::ifstream ifile(kFileName.c_str(), std::ios_base::in|std::ios_base::binary);
   if(!ifile) {
-    std::cerr << "Cannot open file: " << kFileName
-	      << " in G4GMocrenIO::retrieveData2()." << std::endl;
+    if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "Cannot open file: " << kFileName
+		<< " in G4GMocrenIO::retrieveData2()." << G4endl;
     return false;
   }
@@ -2628,5 +2643,5 @@
   ss << (int)ver;
   kVersion = ss.str();
-  if(DEBUG || kVerbose > 0) std::cout << "File version : " << kVersion << std::endl;
+  if(DEBUG || kVerbose > 0) G4cout << "File version : " << kVersion << G4endl;
 
   // id of version 1
@@ -2641,9 +2656,9 @@
   ifile.read((char *)&kLittleEndianInput, sizeof(char));
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Endian : ";
+    G4cout << "Endian : ";
     if(kLittleEndianInput == 1) 
-      std::cout << " little" << std::endl;
+      G4cout << " little" << G4endl;
     else {
-      std::cout << " big" << std::endl;
+      G4cout << " big" << G4endl;
     }
   }
@@ -2655,9 +2670,9 @@
   convertEndian(ctmp+8, kVoxelSpacing[2]);
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Voxel spacing : ("
+    G4cout << "Voxel spacing : ("
 	      << kVoxelSpacing[0] << ", "
 	      << kVoxelSpacing[1] << ", "
 	      << kVoxelSpacing[2]
-	      << ") mm " << std::endl;
+	      << ") mm " << G4endl;
   }
 
@@ -2681,9 +2696,9 @@
   convertEndian(ctmp, kPointerToTrackData);
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Each pointer to data : "
+    G4cout << "Each pointer to data : "
 	      << kPointerToModalityData << ", "
 	      << kPointerToDoseDistData[0] << ", "
 	      << kPointerToROIData << ", "
-	      << kPointerToTrackData << std::endl;
+	      << kPointerToTrackData << G4endl;
   }
 
@@ -2691,5 +2706,5 @@
      kPointerToROIData == 0 && kPointerToTrackData == 0) {
     if(DEBUG || kVerbose > 0) {
-      std::cout << "No data." << std::endl;
+      G4cout << "No data." << G4endl;
     }
     return false;
@@ -2716,9 +2731,9 @@
   convertEndian(ctmp+2*sizeof(int), size[2]);
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Modality image size : ("
+    G4cout << "Modality image size : ("
 	      << size[0] << ", "
 	      << size[1] << ", "
 	      << size[2] << ")"
-	      << std::endl;
+	      << G4endl;
   }
   kModality.setSize(size);
@@ -2745,13 +2760,13 @@
     kModality.setScale(dscale = scale);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "Modality image min., max., scale : "
+      G4cout << "Modality image min., max., scale : "
 		<< minmax[0] << ", "
 		<< minmax[1] << ", "
-		<< scale << std::endl;
+		<< scale << G4endl;
     }
 
     // modality density
     int psize = size[0]*size[1];
-    if(DEBUG || kVerbose > 0) std::cout << "Modality image (" << psize << "): ";
+    if(DEBUG || kVerbose > 0) G4cout << "Modality image (" << psize << "): ";
     char * cimage = new char[psize*sizeof(short)];
     for(int i = 0; i < size[2]; i++) {
@@ -2763,12 +2778,12 @@
       kModality.addImage(mimage);
 
-      if(DEBUG || kVerbose > 0) std::cout << "[" << i << "]" << mimage[(size_t)(psize*0.55)] << ", ";
-    }
-    if(DEBUG || kVerbose > 0) std::cout << std::endl;
+      if(DEBUG || kVerbose > 0) G4cout << "[" << i << "]" << mimage[(size_t)(psize*0.55)] << ", ";
+    }
+    if(DEBUG || kVerbose > 0) G4cout << G4endl;
     delete [] cimage;
 
     // modality desity map for CT value
     size_t msize = minmax[1]-minmax[0]+1;
-    if(DEBUG || kVerbose > 0) std::cout << "msize: " << msize << std::endl;
+    if(DEBUG || kVerbose > 0) G4cout << "msize: " << msize << G4endl;
     char * pdmap = new char[msize*sizeof(float)];
     ifile.read((char *)pdmap, msize*sizeof(float));
@@ -2779,13 +2794,13 @@
     }
     if(DEBUG || kVerbose > 0) {
-      std::cout << "density map : " << std::ends;
+      G4cout << "density map : " << std::ends;
       for(int i = 0; i < 10; i++)
-	std::cout <<kModalityImageDensityMap[i] << ", ";
-      std::cout << std::endl;
-      for(int i = 0; i < 10; i++) std::cout << "..";
-      std::cout << std::endl;
+	G4cout <<kModalityImageDensityMap[i] << ", ";
+      G4cout << G4endl;
+      for(int i = 0; i < 10; i++) G4cout << "..";
+      G4cout << G4endl;
       for(size_t i =kModalityImageDensityMap.size() - 10; i <kModalityImageDensityMap.size(); i++)
-	std::cout <<kModalityImageDensityMap[i] << ", ";
-      std::cout << std::endl;
+	G4cout <<kModalityImageDensityMap[i] << ", ";
+      G4cout << G4endl;
     }
 
@@ -2804,9 +2819,9 @@
     convertEndian(ctmp+2*sizeof(int), size[2]);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "Dose dist. image size : ("
+      G4cout << "Dose dist. image size : ("
 		<< size[0] << ", "
 		<< size[1] << ", "
 		<< size[2] << ")"
-		<< std::endl;
+		<< G4endl;
     }
     kDose[0].setSize(size);
@@ -2826,13 +2841,13 @@
 
     if(DEBUG || kVerbose > 0) {
-      std::cout << "Dose dist. image min., max., scale : "
+      G4cout << "Dose dist. image min., max., scale : "
 		<< dminmax[0] << ", "
 		<< dminmax[1] << ", "
-		<< scale << std::endl;
+		<< scale << G4endl;
     }
 
     // dose distribution image
     int dsize = size[0]*size[1];
-    if(DEBUG || kVerbose > 0) std::cout << "Dose dist. (" << dsize << "): ";
+    if(DEBUG || kVerbose > 0) G4cout << "Dose dist. (" << dsize << "): ";
     char * di = new char[dsize*sizeof(short)];
     short * shimage = new short[dsize];
@@ -2846,10 +2861,10 @@
       kDose[0].addImage(dimage);
 
-      if(DEBUG || kVerbose > 0) std::cout << "[" << z << "]" << dimage[(size_t)(dsize*0.55)] << ", ";
+      if(DEBUG || kVerbose > 0) G4cout << "[" << z << "]" << dimage[(size_t)(dsize*0.55)] << ", ";
 
       if(DEBUG || kVerbose > 0) {
 	for(int j = 0; j < dsize; j++) {
 	  if(dimage[j] < 0)
-	    std::cout << "[" << j << "," << z << "]"
+	    G4cout << "[" << j << "," << z << "]"
 		      << dimage[j] << ", ";
 	}
@@ -2858,5 +2873,5 @@
     delete [] shimage;
     delete [] di;
-    if(DEBUG || kVerbose > 0) std::cout << std::endl;
+    if(DEBUG || kVerbose > 0) G4cout << G4endl;
 
     /* ver 1
@@ -2902,8 +2917,8 @@
 
     if(DEBUG || kVerbose > 0) {
-      std::cout << "Dose dist. image relative location : ("
+      G4cout << "Dose dist. image relative location : ("
 		<< fCenter[0] << ", "
 		<< fCenter[1] << ", "
-		<< fCenter[2] << ")" << std::endl;
+		<< fCenter[2] << ")" << G4endl;
     }
 
@@ -2923,9 +2938,9 @@
     kRoi[0].setSize(size);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "ROI image size : ("
+      G4cout << "ROI image size : ("
 		<< size[0] << ", "
 		<< size[1] << ", "
 		<< size[2] << ")"
-		<< std::endl;
+		<< G4endl;
     }
 
@@ -2941,8 +2956,8 @@
     kRoi[0].setScale(dscale = scale);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "ROI image min., max., scale : "
+      G4cout << "ROI image min., max., scale : "
 		<< minmax[0] << ", "
 		<< minmax[1] << ", "
-		<< scale << std::endl;
+		<< scale << G4endl;
     }
 
@@ -2969,8 +2984,8 @@
     kRoi[0].setCenterPosition(fCenter);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "ROI image relative location : ("
+      G4cout << "ROI image relative location : ("
 		<< fCenter[0] << ", "
 		<< fCenter[1] << ", "
-		<< fCenter[2] << ")" << std::endl;
+		<< fCenter[2] << ")" << G4endl;
     }
 
@@ -2985,5 +3000,5 @@
     convertEndian(ctmp, ntrk);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "# of tracks: " << ntrk << std::endl;
+      G4cout << "# of tracks: " << ntrk << G4endl;
     }
 
@@ -2997,8 +3012,8 @@
 
       ifile.read((char *)ctmp, sizeof(float)*3);
-      if(DEBUG || kVerbose > 0) if(i < 10) std::cout << i << ": " ;
+      if(DEBUG || kVerbose > 0) if(i < 10) G4cout << i << ": " ;
       for(int j = 0; j < 3; j++) {
 	convertEndian(ctmp+j*sizeof(float), tp[j]);
-	if(DEBUG || kVerbose > 0) if(i < 10) std::cout << tp[j] << ", ";
+	if(DEBUG || kVerbose > 0) if(i < 10) G4cout << tp[j] << ", ";
       }
 
@@ -3006,5 +3021,5 @@
       for(int j = 0; j < 3; j++) {
 	convertEndian(ctmp+j*sizeof(float), tp[j+3]);
-	if(DEBUG || kVerbose > 0) if(i < 10) std::cout << tp[j+3] << ", ";
+	if(DEBUG || kVerbose > 0) if(i < 10) G4cout << tp[j+3] << ", ";
       }
 
@@ -3014,5 +3029,5 @@
       addTrack(trkv4, trkcolorv4);
       
-      if(DEBUG || kVerbose > 0) if(i < 10) std::cout << std::endl;
+      if(DEBUG || kVerbose > 0) if(i < 10) G4cout << G4endl;
     }
 
@@ -3217,6 +3232,6 @@
     setPointerToTrackData(pointer0);
   }
-  if(kVerbose > 0) std::cout << " pointer to the track data :"
-			     << kPointerToTrackData << std::endl;
+  if(kVerbose > 0) G4cout << " pointer to the track data :"
+			     << kPointerToTrackData << G4endl;
 
   // pointer to detector data
@@ -3227,6 +3242,6 @@
     kPointerToDetectorData = 0;
   }
-  if(kVerbose > 0) std::cout << " pointer to the detector data :"
-			     << kPointerToDetectorData << std::endl;
+  if(kVerbose > 0) G4cout << " pointer to the detector data :"
+			     << kPointerToDetectorData << G4endl;
 
 }
@@ -3431,5 +3446,5 @@
     rval = minmax[1];
     for(int i = 0; i < nmap; i++) {
-      //std::cout << kModalityImageDensityMap[i] << std::endl;
+      //G4cout << kModalityImageDensityMap[i] << G4endl;
       if(_dens <= kModalityImageDensityMap[i]) {
 	rval = i + minmax[0];
@@ -3558,8 +3573,9 @@
 
   if(_data == NULL) {
-    std::cerr << "In G4GMocrenIO::getShortDoseDist(), "
-	      << "first argument is NULL pointer. "
-	      << "The argument must be allocated array."
-	      << std::endl;
+    if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "In G4GMocrenIO::getShortDoseDist(), "
+		<< "first argument is NULL pointer. "
+		<< "The argument must be allocated array."
+		<< G4endl;
     std::exit(-1);
   }
@@ -3599,11 +3615,11 @@
   void G4GMocrenIO::getDoseDist(double * & _image, int _z, int _num) {
 
-  std::cout << " <" << (void*)_image << "> ";
+  G4cout << " <" << (void*)_image << "> ";
   if(isDoseEmpty()) {
   _image = 0;
   } else {
   _image = kDose[_num].getImage(_z);
-  std::cout << " <" << (void*)_image << "> ";
-  std::cout << _image[100] << " ";
+  G4cout << " <" << (void*)_image << "> ";
+  G4cout << _image[100] << " ";
   }
   }
@@ -3660,7 +3676,9 @@
 bool G4GMocrenIO::mergeDoseDist(std::vector<class GMocrenDataPrimitive<double> > & _dose) {
   if(kDose.size() != _dose.size()) {
-    std::cerr << "G4GMocrenIO::mergeDoseDist() : Error" << std::endl; 
-    std::cerr << "   Unable to merge the dose distributions,"<< std::endl;
-    std::cerr << "   because of different size of dose maps."<< std::endl;
+    if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+      G4cout << "G4GMocrenIO::mergeDoseDist() : Error" << G4endl; 
+      G4cout << "   Unable to merge the dose distributions,"<< G4endl;
+      G4cout << "   because of different size of dose maps."<< G4endl;
+    }
     return false;
   }
@@ -3670,5 +3688,7 @@
   std::vector<class GMocrenDataPrimitive<double> >::iterator itr2 = _dose.begin();
   for(int i = 0; i < num; i++, itr1++, itr2++) {
-    if(kVerbose > 0) std::cerr << "merged dose distribution [" << i << "]" << std::endl;
+    if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      if(kVerbose > 0)
+	G4cout << "merged dose distribution [" << i << "]" << G4endl;
     *itr1 += *itr2;
   }
@@ -3689,5 +3709,6 @@
 bool G4GMocrenIO::isDoseEmpty() {
   if(kDose.empty()) {
-    //std::cerr << "!!! dose distribution data is empty." << std::endl;
+    //if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    //  G4cout << "!!! dose distribution data is empty." << G4endl;
     return true;
   } else {
@@ -3794,5 +3815,6 @@
 bool G4GMocrenIO::isROIEmpty() {
   if(kRoi.empty()) {
-    //std::cerr << "!!! ROI data is empty." << std::endl;
+    //if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    //  G4cout << "!!! ROI data is empty." << G4endl;
     return true;
   } else {
@@ -3883,5 +3905,6 @@
 
   if(_num > (int)kTracks.size()) {
-    std::cerr << "ERROR in getTrack() : " << std::endl;
+    if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "ERROR in getTrack() : " << G4endl;
     std::exit(-1);
   }
@@ -3942,5 +3965,6 @@
 
   if(_num > (int)kDetectors.size()) {
-    std::cerr << "ERROR in getDetector() : " << std::endl;
+    if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "ERROR in getDetector() : " << G4endl;
     std::exit(-1);
   }
Index: trunk/source/visualization/gMocren/src/G4GMocrenMessenger.cc
===================================================================
--- trunk/source/visualization/gMocren/src/G4GMocrenMessenger.cc	(revision 1346)
+++ trunk/source/visualization/gMocren/src/G4GMocrenMessenger.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GMocrenMessenger.cc,v 1.2 2009/10/12 10:04:35 akimura Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/visualization/management/CVS/Entries
===================================================================
--- trunk/source/visualization/management/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/management/CVS/Entries	(revision 1347)
@@ -4,2 +4,3 @@
 /History/1.160.2.1/Wed Dec 22 10:23:43 2010//Tgeant4-09-04-ref-00
 /sources.cmake/1.1/Wed Sep 29 19:15:02 2010//Tgeant4-09-04-ref-00
+/Doxyfile/1.2/Fri May 12 13:10:34 2006//Tgeant4-09-04-ref-00
Index: trunk/source/visualization/management/include/CVS/Entries
===================================================================
--- trunk/source/visualization/management/include/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/management/include/CVS/Entries	(revision 1347)
@@ -1,3 +1,2 @@
-/G4VisManager.icc/1.22/Tue Jun  1 16:08:15 2010//
 /G4GraphicsSystemList.hh/1.9/Thu Jun 29 21:27:54 2006//Tgeant4-09-04-ref-00
 /G4Scene.hh/1.19/Wed Nov  4 12:49:16 2009//Tgeant4-09-04-ref-00
@@ -39,3 +38,4 @@
 /G4VisModelManager.hh/1.4/Thu Jun 29 21:29:10 2006//Tgeant4-09-04-ref-00
 /G4VisStateDependent.hh/1.5/Thu Jun 29 21:29:12 2006//Tgeant4-09-04-ref-00
+/G4VisManager.icc/1.23/Wed Dec 22 14:32:23 2010//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/management/include/G4VisManager.icc
===================================================================
--- trunk/source/visualization/management/include/G4VisManager.icc	(revision 1346)
+++ trunk/source/visualization/management/include/G4VisManager.icc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VisManager.icc,v 1.22 2010/06/01 16:08:15 allison Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4VisManager.icc,v 1.23 2010/12/14 15:53:28 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
@@ -67,8 +67,4 @@
 G4VisManager::GetCurrentGraphicsSystem () const {
   return fpGraphicsSystem;
-}
-
-inline G4VisManager::Verbosity G4VisManager::GetVerbosity () {
-  return fVerbosity;
 }
 
Index: trunk/source/visualization/management/src/CVS/Entries
===================================================================
--- trunk/source/visualization/management/src/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/management/src/CVS/Entries	(revision 1347)
@@ -22,5 +22,5 @@
 /G4VisFeaturesOfOpenGL.cc/1.6/Wed Oct  3 14:21:55 2007//Tgeant4-09-04-ref-00
 /G4VisFeaturesOfOpenInventor.cc/1.5/Thu Jun 29 21:29:58 2006//Tgeant4-09-04-ref-00
-/G4VisManager.cc/1.131/Result of merge//Tgeant4-09-04-ref-00
 /G4VisStateDependent.cc/1.6/Thu Jun 29 21:30:02 2006//Tgeant4-09-04-ref-00
+/G4VisManager.cc/1.131/Wed Dec 22 14:26:53 2010//Tgeant4-09-04-ref-00
 D
